Guard Liam:
It is risky to speak of such things, but I will trust you and tell you. It is the Execution Grounds of a rebel army of farmers who revolted against the lord's severe rule a few years ago. At the time, the lord cruelly and publicly executed all those involved in the revolt, and their families, as an example to the people. Those who were unjustly killed became the undead, and they haunt the Execution Grounds to this day.
Return